package validation

import (
	"GoMembership/internal/models"

	"github.com/gin-gonic/gin/binding"

	"github.com/go-playground/validator/v10"
)

func SetupValidators() {
	if v, ok := binding.Validator.Engine().(*validator.Validate); ok {
		// Register custom validators
		v.RegisterValidation("safe_content", ValidateSafeContent)

		// Register struct-level validations
		v.RegisterStructValidation(validateUser, models.User{})
		v.RegisterStructValidation(ValidateSubscription, models.SubscriptionModel{})
	}
}
